API ReferenceAgent runs
Get an agent run
Status, credits and outputs (posts, designs, idea cards it made). With wait (0–25 s) the request is held until the run changes or the time is up.
Authorization
api-key AuthorizationBearer <token>
Workspace API key (nim_live_...)
In: header
Path Parameters
id*string
Format
uuidQuery Parameters
wait?number
Seconds to hold the request until the run changes (long-poll).
Range
0 <= value <= 25Default
0Response Body
application/json
curl -X GET "https://example.com/v1/agent-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2", "status": "PENDING", "trigger": "MANUAL", "creditsLocked": 0, "creditsUsed": 0, "error": "string", "startedAt": "string", "completedAt": "string", "createdAt": "string", "outputs": { "postIds": [ "string" ], "designIds": [ "string" ], "ideaIds": [ "string" ] }}Empty